<!--<?php
global $IsAuditcheck,$_DCACHE,$boardid,$RootID,$Announceid, $_GET, $_POST;
if (!empty($_GET['star'])) {
	$httpreq['star'] = $_GET['star'];
} elseif (!empty($_POST['star'])) {
	$httpreq['star'] = $_POST['star'];
}
if (!empty($_GET['page'])) {
	$httpreq['page'] = $_GET['page'];
} elseif (!empty($_POST['page'])) {
	$httpreq['page'] = $_POST['page'];
}
$RootID = intval($RootID);
$groupid = $_GET['groupid'];
$groupboardid = $_GET['groupboardid'];
$tempUrl= 'indivgroup_dispbbs.php?groupid='.$groupid.'&groupboardid='.$groupboardid;

switch($action){
	case 'snew':
		$tourl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
		$PostRetrunName = $lang['template.strings15'];
		break;
	case 'sre':
		$tourl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'].'#'.$Announceid;
		$PostRetrunName = $lang['template.strings16'];
		break;
	case 'svote':
		$tourl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
		$PostRetrunName = $lang['template.strings17'];
		break;
	case 'sedit':
		$tourl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'].'#'.$RootID;
		$PostRetrunName = $lang['template.strings18'];
		break;
}

if (false === strpos($action, 'argue')) {
	$returnurl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
} else {
	$returnurl = $tempUrl.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
}
global $boardname;
$page = $httpreq['page'];

print <<<EOT
-->
<!--post.php##·¢Ìû³É¹¦Ò³Ãæ-->
<script language = "javascript"  type="text/javascript">
	setTimeout('parent.document.location.href=\'{$returnurl}\';',1);
	//parent.window.location.reload();
</script>
<!--
EOT;
?>-->